
Figure - Bug #112592
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】先打开设置，选择一个一级菜单，再打开一个设置快捷方式，页面显示不合理
2022-10-17 14:37 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-17

Priority: Normal Due date: 2022-10-17

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20221014.alpha_0036

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开设置，选择一个一级菜单（如应用），返回桌面

2、打开设置的一个快捷方式（如互联网）

3、查看页面显示

【预期结果】

3、无一级菜单选中

【实际结果】

3、仍然选中第一次打开设置的选择的一级菜单

【复现率】

必现

History

#1 - 2022-10-17 17:47 - CD AF-陈羽杰

- Due date set to 2022-10-17

- Status changed from New to ASSIGNED

- % Done changed from 0 to 70

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

■ Current conclusion

分析中

■ My analysis

未对外部跳转Settings时，一级菜单选中状态做兼容

■ Next action

外部跳转Settings，取消一级菜单的选中状态
#2 - 2022-10-18 13:38 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 70 to 100

- Root cause set to 编码问题

■ Current conclusion

已修复，外部跳转到Settings时取消选中状态。

■ My analysis

未对外部跳转Settings时，一级菜单选中状态做兼容

■ Submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/155950

#3 - 2022-10-18 13:45 - CD AF-陈羽杰

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

#4 - 2022-10-20 11:27 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

10.20 验证成功

#5 - 2022-10-20 11:27 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155950 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix The external jump UI is unreasonable1.First open the settings, select a first level menu,  and then open a setting shortcut. The page display is

unreasonableTC-RID: 1201-0201813IssueID: TS-R-BUG-112592Change-Id: Iee7c55c500e9beb7af41714a6cae2f6b5f294820

Files

设置快捷方式.jpg 88.1 KB 2022-10-17 CD TEST-方永红

1.txt 1.76 MB 2022-10-17 CD TEST-方永红
